# Contributor guide

Please provide your contributions to help improve the experience of webhint.
This topic outlines the resources to use when planning your first contribution
to the project and core concepts to understand.

| Topic | Details |
|:--- |:--- |
| [Architecture][GettingStartedArchitecture] | Understand the internals of the project and how parts communicate with each other. |
| [Development environment][GettingStartedDevelopmentEnvironment] | How to configure your development environment to start writing code for webhint. |
| [Pull requests][GettingStartedPullRequests] | The instructions for contributing updates to the `webhint`documentation. |
| [Events][GettingStartedEvents] | Understand the events used internally by webhint. |

The following topics provide guidance about how to change a particular feature
of `webhint` and common hint scenarios.

* [Create a custom shareable configuration][HowToConfiguration]
* [Develop a connector][HowToConnector]
* [Develop a formatter][HowToFormatter]
* [Develop a parser][HowToParser]
* [Develop a hint][HowToHint]
* [Implement common hint scenarios][HowToCommonHintScenarios]
  <!-- TODO * [Build the docs locally]() -->
* [Create a custom hint step by step][GuidesCreateCustomHint]

<!-- links -->

[GettingStartedArchitecture]: ./getting-started/architecture.md "Architecture"
[GettingStartedDevelopmentEnvironment]: ./getting-started/development-environment.md "Development environment"
[GettingStartedPullRequests]: ./getting-started/pull-requests.md "Pull requests"
[GettingStartedEvents]: ./getting-started/events.md "Events"
[HowToConfiguration]: ./how-to/configuration.md "Create a custom shareable configuration"
[HowToConnector]: ./how-to/connector.md "Develop a connector"
[HowToFormatter]: ./how-to/formatter.md "Develop a formatter"
[HowToParser]: ./how-to/parser.md "Develop a parser"
[HowToHint]: ./how-to/hint.md "Develop a hint"
[HowToCommonHintScenarios]: ./how-to/common-hint-scenarios.md "Implement common hint scenarios"
[GuidesCreateCustomHint]: ./guides/create-custom-hint.md "Create a custom hint step-by-step"
